/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements. See the NOTICE file distributed with this
 * work for additional information regarding copyright ownership. The ASF
 * licenses this file to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package org.apithefire.util.io;

import java.io.File;

/**
 * Utility class related to {@link File}.
 * 
 * @author <a href="mailto:bachew@gmail.com">Chew Boon Aik</a>
 */
//TODO: review, throw exception if operations fail
public class Files {

	private Files() {
	}
	
	/**
	 * Deletes the specified file. If the specified file is a directory, it will
	 * be deleted recursively.
	 */
	public static void delete(File file) {
		// TODO: throws RuntimeIoException in case of error
		File[] children = file.listFiles();
		
		if (children == null) {
			file.delete();
		} else {
			for (File child : children) {
				delete(child);
			}
			file.delete();
		}
	}
	
}
